<template>
  <div>
    <b-jumbotron style="background:transparent !important" header="Game on!" lead="LETS GO BAYBEE">
      <p>{{gameText}}</p>
      <div v-bind:key="card._id">
      <card v-bind:content="content"/>
      </div>
      <div>
       <b-button class="button" variant="primary" v-on:click="exitToHome()">Exit</b-button>
      <b-button class="button" variant="primary" v-on:click="getNextCard()">{{ nextBtnText }}</b-button>
      </div>
    </b-jumbotron>
  </div>
</template>

<script>
import Card from '../components/Card.vue'
import { Api } from '@/Api'

export default {
  name: 'game',
  components: {
    Card
  },
  data() {
    return {
      card: 'card',
      game: '',
      gameText: this.$store.state.newGame.gameName,
      gameId: this.$store.state.newGame,
      cards: [],
      rounds: [],
      content: '',
      nextBtnText: 'Next Card',
      thCard: 1,
      roundLength: 5

    }
  },
  mounted() {
    const currentGame = this.$store.state.newGame
    Api.get(`/games/${currentGame._id}`)
      .then(response => {
        this.rounds = response.data.rounds
        const nextRoundID = this.rounds[this.rounds.length - 1]
        Api.get(`/rounds/${nextRoundID}`)
          .then(response => {
            this.cards = response.data.cards
            this.content = this.cards.pop().content
            this.thCard++
          })
          .catch(error => {
            console.log(error)
            this.cards = []
          })
        this.game = response.data
        this.gameText = 'Game: ' + response.data.gameName
      })
      .catch(error => {
        console.log(error)
        this.cards = []
      })
  },
  methods: {
    getNextCard() {
      if (this.nextBtnText === 'New Round') {
        this.$router.push('prepare')
      }
      if (this.thCard <= this.roundLength) {
        this.card = this.cards.pop()
        this.content = this.card.content
        this.thCard++
      } else {
        this.content = 'Round finished!'
        this.nextBtnText = 'New Round'
      }
    },
    exitToHome() {
      this.$router.push('/')
    }
  }
}

</script>

<style>
.btn_message {
  margin-bottom: 2em;
  color:aqua
}

.button{
  color: white;
  background-color: #c48d9d!important;
  border-radius:7px!important;
  border-collapse: initial;
  padding: 2px 4px 2px 4px;
  transition: 0.4s;
  border: white!important;
}

.nexButton:hover {
  background-color: #85ccc9; /* Green */
  color: white;
  box-shadow: 0 12px 16px 0 rgba(0,0,0,0.24), 0 17px 50px 0 rgba(0,0,0,0.19);
}

</style>
